KOpenWithDlg Class Reference

`#include <kopenwith.h>`

Inherits QDialog.

## Public Slots

void | slotClear ()
void | slotSelected (const QString &_name, const QString &_exec)
void | slotHighlighted (const QString &_name, const QString &_exec)
void | slotTextChanged ()
void | slotTerminalToggled (bool)
void | slotDbClick ()
void | slotOK ()

## Public Member Functions

| KOpenWithDlg (const KURL::List &urls, QWidget *parent=0L)
| KOpenWithDlg (const KURL::List &urls, const QString &text, const QString &value, QWidget *parent=0L)
| KOpenWithDlg (const QString &serviceType, const QString &value, QWidget *parent=0L)
| KOpenWithDlg (QWidget *parent=0L)
| ~KOpenWithDlg ()
QString | text () const
void | hideNoCloseOnExit ()
void | hideRunInTerminal ()
KService::Ptr | service () const
void | setSaveNewApplications (bool b)

## Protected Slots

virtual void | accept ()

## Protected Member Functions

void | setServiceType (const KURL::List &_urls)
void | init (const QString &text, const QString &value)

## Protected Attributes

KURLRequester * | edit
QString | m_command
KApplicationTree * | m_pTree
QLabel * | label
QString | qName
QString | qServiceType
bool | m_terminaldirty
QCheckBox * | terminal
QCheckBox * | remember
QCheckBox * | nocloseonexit
QPushButton * | UNUSED
QPushButton * | UNUSED2
KService::Ptr | m_pService
KOpenWithDlgPrivate * | d

## Detailed Description

"Open with" dialog box.

Used automatically by KRun, and used by libkonq.

Author
  David Faure faure.nosp@m.@kde.nosp@m..org

Definition at line 46 of file kopenwith.h.

## Constructor & Destructor Documentation

KOpenWithDlg::KOpenWithDlg | ( | const KURL::List & | urls,
|  | QWidget * | parent = `0L`
| ) |  |

Create a dialog that asks for a application to open a given URL(s) with.

Parameters

  urls | the URLs that should be opened. The list can be empty, if the dialog is used to choose an application but not for some particular URLs.
  parent | parent widget

Definition at line 319 of file kopenwith.cpp.

KOpenWithDlg::KOpenWithDlg | ( | const KURL::List & | urls,
|  | const QString & | text,
|  | const QString & | value,
|  | QWidget * | parent = `0L`
| ) |  |

Create a dialog that asks for a application to open a given URL(s) with.

Parameters

  urls | is the URL that should be opened
  text | appears as a label on top of the entry box.
  value | is the initial value of the line
  parent | parent widget

Definition at line 337 of file kopenwith.cpp.

KOpenWithDlg::KOpenWithDlg | ( | const QString & | serviceType,
|  | const QString & | value,
|  | QWidget * | parent = `0L`
| ) |  |

Create a dialog to select a service for a given service type.

Note that this dialog doesn't apply to URLs.

Parameters

  serviceType | the service type we want to choose an application for.
  value | is the initial value of the line
  parent | parent widget

Definition at line 349 of file kopenwith.cpp.

KOpenWithDlg::KOpenWithDlg | ( | QWidget * | parent = `0L` | ) |

Create a dialog to select an application Note that this dialog doesn't apply to URLs.

Parameters

  parent | parent widget

Since
  3.1

Definition at line 363 of file kopenwith.cpp.

KOpenWithDlg::~KOpenWithDlg | ( |  | ) |

Destructor.

Definition at line 529 of file kopenwith.cpp.

## Member Function Documentation

void KOpenWithDlg::accept | ( |  | ) |

protected virtual slot

Reimplemented from QDialog::accept() to save history of the combobox.

Definition at line 810 of file kopenwith.cpp.

void KOpenWithDlg::hideNoCloseOnExit | ( |  | ) |

Hide the "Do not &close when command exits" Checkbox.

Definition at line 797 of file kopenwith.cpp.

void KOpenWithDlg::hideRunInTerminal | ( |  | ) |

Hide the "Run in &terminal" Checkbox.

Definition at line 804 of file kopenwith.cpp.

void KOpenWithDlg::init | ( | const QString & | text,
|  | const QString & | value
| ) |  |

protected

Create a dialog that asks for a application to open a given URL(s) with.

Parameters

  text | appears as a label on top of the entry box.
  value | is the initial value of the line

Definition at line 386 of file kopenwith.cpp.

KService::Ptr KOpenWithDlg::service | ( |  | ) | const

inline

Returns
  the chosen service in the application tree Can be null, if the user typed some text and didn't select a service.

Definition at line 114 of file kopenwith.h.

void KOpenWithDlg::setSaveNewApplications | ( | bool | b | ) |

Set whether a new .desktop file should be created if the user selects an application for which no corresponding .desktop file can be found.

Regardless of this setting a new .desktop file may still be created if the user has chosen to remember the file association.

The default is false: no .desktop files are created.

Since
  3.2

Definition at line 599 of file kopenwith.cpp.

void KOpenWithDlg::setServiceType | ( | const KURL::List & | _urls | ) |

protected

Determine service type from URLs.

Definition at line 374 of file kopenwith.cpp.

void KOpenWithDlg::slotClear | ( |  | ) |

slot

The slot for clearing the edit widget.

Definition at line 537 of file kopenwith.cpp.

QString KOpenWithDlg::text | ( |  | ) | const

Returns
  the text the user entered

Definition at line 789 of file kopenwith.cpp.

The documentation for this class was generated from the following files:

- kopenwith.h
- kopenwith.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys